> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get services for case

> Retrieves a list of services ordered for a case. The list includes services of only one of the following types:

- **`idv`:** Identity verification services ordered for the case.
- **`legal`:** Legal checks ordered for the case. Legal checks are the various required authorizations collected from a candidate when they authorize a background check (e-signature, FCRA, and disclosures).
- **`payment`:** Payment services ordered for the case.
- **`screenings`:** Screenings ordered for the case.
- **`shipment`:** Shipments ordered for the case.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/id/{caseId}/services/{serviceType}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/services/{serviceType}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
      - schema:
          type: string
          enum:
            - screenings
            - payment
            - idv
            - legal
            - shipment
        name: serviceType
        in: path
        required: true
        description: >-
          The type of services to retrieve in the response. If an undefined
          value is provided, only screenings are returned.
    get:
      tags:
        - Cases
      summary: Get services for case
      description: >-
        Retrieves a list of services ordered for a case. The list includes
        services of only one of the following types:


        - **`idv`:** Identity verification services ordered for the case.

        - **`legal`:** Legal checks ordered for the case. Legal checks are the
        various required authorizations collected from a candidate when they
        authorize a background check (e-signature, FCRA, and disclosures).

        - **`payment`:** Payment services ordered for the case.

        - **`screenings`:** Screenings ordered for the case.

        - **`shipment`:** Shipments ordered for the case.
      operationId: get-case-id-caseId-services-serviceType
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceGroupServicesCase'
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    ServiceGroupServicesCase:
      title: ServiceGroupServicesCase
      examples:
        - serviceGroupServices:
            - serviceGroupId: 8afb91ff-7958-4f42-90e1-9bfed7db9bbf
              serviceGroupName: Basic Check 2023-04-13T20:51:49.938Z
              serviceGroupPrice: 1337
              serviceGroupDescription: Common services for a basic background check
              serviceId: 03635d39-c9df-418f-948d-10d38a7e06db
              serviceName: National Sex Offender Search Alt
              serviceDescription: Search for candidate sex offender history
              serviceTypeId: 30bc2c03-c8dd-409a-8da6-e0070ea6a681
              serviceTypeName: Screening
              serviceGroupEnabled: true
              serviceEnabled: true
              serviceAutoProcessEnabled: true
              serviceTypeEnabled: true
              serviceCategory: Criminal Check
              serviceCategoryId: service-cat-criminal
              conditional: false
              defaultSelected: false
              enabled: true
              serviceGroupServicesId: d2ff35ec-4da4-4a82-bb72-80980fc658ff
              caseId: 1234a56b-24ed-9874-ae77-9fccc6a25474
              packageName: Basic Check
              candidateId: 1b23c456-d211-42c8-dde8-8a5f84c9def2
              groupProfileId: ab0123c4-de56-4c96-cc22-06ae7e123fd2
      allOf:
        - $ref: '#/components/schemas/ServiceGroupServicesAll'
        - type: object
          required:
            - serviceGroupServices
          properties:
            serviceGroupServices:
              type: array
              description: >-
                A list of services, each containing detailed information about a
                service.
              items:
                type: object
                required:
                  - caseId
                  - packageName
                  - candidateId
                  - groupProfileId
                properties:
                  caseId:
                    type: string
                  packageName:
                    type: string
                    description: The name of the package that was ordered for the case.
                  candidateId:
                    type: string
                    description: The ID of the candidate that's associated with the case.
                  groupProfileId:
                    type: string
                    description: The ID of the group that the case was ordered under.
    ServiceGroupServicesAll:
      title: ServiceGroupServicesAll
      type: object
      examples:
        - serviceGroupServices:
            - serviceGroupId: 8afb91ff-7958-4f42-90e1-9bfed7db9bbf
              serviceGroupName: Basic Check 2023-04-13T20:51:49.938Z
              serviceGroupPrice: 1337
              serviceGroupDescription: Common services for a basic background check
              serviceId: 03635d39-c9df-418f-948d-10d38a7e06db
              serviceName: National Sex Offender Search Alt
              serviceDescription: Search for candidate sex offender history
              serviceTypeId: 30bc2c03-c8dd-409a-8da6-e0070ea6a681
              serviceTypeName: Screening
              serviceGroupEnabled: true
              serviceEnabled: true
              serviceAutoProcessEnabled: true
              serviceTypeEnabled: true
              serviceCategory: Criminal Check
              serviceCategoryId: service-cat-criminal
              conditional: false
              defaultSelected: false
              enabled: true
              serviceGroupServicesId: d2ff35ec-4da4-4a82-bb72-80980fc658ff
      required:
        - serviceGroupServices
      properties:
        serviceGroupServices:
          type: array
          description: >-
            A list of services, each containing detailed information about a
            service.
          items:
            type: object
            required:
              - serviceGroupId
              - serviceGroupName
              - serviceGroupDescription
              - serviceId
              - serviceName
              - serviceDescription
              - serviceTypeId
              - serviceTypeName
              - serviceGroupEnabled
              - serviceEnabled
              - serviceAutoProcessEnabled
              - serviceTypeEnabled
              - conditional
              - defaultSelected
              - enabled
              - serviceGroupServicesId
            properties:
              serviceGroupId:
                type: string
              serviceGroupName:
                type: string
              serviceGroupPrice:
                type: number
                description: >-
                  The price of the package in United States cents. This is the
                  price that candidates will pay via Stripe during onboarding to
                  begin their check. Customers can request that a price be set
                  on a package to pass on some or all of the price of the check
                  to the candidate.
              serviceGroupDescription:
                type: string
              serviceId:
                type: string
                description: >-
                  The unique ID of the service. See
                  [Service](docs/reference/service.md) for a list of possible
                  services.
              serviceName:
                type: string
                description: The name of the service.
              serviceDescription:
                type: string
              serviceTypeId:
                $ref: '#/components/schemas/ServiceTypeId'
              serviceTypeName:
                $ref: '#/components/schemas/ServiceTypeName'
              serviceSubTypeId:
                type: string
                enum:
                  - jurisdiction-nationwide
                  - jurisdiction-district
                  - jurisdiction-statewide
                description: >-
                  The ID of the subtype for the service. This is applicable only
                  when `serviceId` is `ee774b82-a411-4e2b-a38f-c0641bd836e7`
                  (Federal Criminal Search).
              serviceSubTypeName:
                type: string
                enum:
                  - Nationwide
                  - District
                  - Statewide
                description: The service subtype.
              serviceGroupEnabled:
                type: boolean
              serviceEnabled:
                type: boolean
              serviceAutoProcessEnabled:
                type: boolean
                description: >-
                  True if the service is available for a case that's ordered
                  using the PII entry flow. False if the service is unavailable
                  when using the PII entry flow.
              serviceTypeEnabled:
                type: boolean
              serviceCategory:
                $ref: '#/components/schemas/ServiceCategory'
              serviceCategoryId:
                $ref: '#/components/schemas/ServiceCategoryId'
              serviceSubCategory:
                $ref: '#/components/schemas/ServiceSubCategory'
              serviceSubCategoryId:
                $ref: '#/components/schemas/ServiceSubCategoryId'
              conditional:
                type: boolean
                description: >-
                  True if the service is available only when adding to an order;
                  false otherwise. A conditional service indicates that another
                  service needs to run before this service can run.
              defaultSelected:
                type: boolean
                description: >-
                  True if the service is selected by default when a dashboard
                  user selects the package for a case; false otherwise.
              enabled:
                type: boolean
                description: >-
                  True if the service is enabled for the package; false
                  otherwise.
              serviceGroupServicesId:
                type: string
    ServiceTypeId:
      title: ServiceTypeId
      type: string
      description: >-
        The unique ID of the service type. A service can be one of the following
        types: screening, legal, payment, identity, or shipment.
      enum:
        - 30bc2c03-c8dd-409a-8da6-e0070ea6a681
        - a3b74b1b-b665-40be-bad2-2a49c801cf3f
        - service-type-payment
        - service-type-idv
        - service-type-shipment
    ServiceTypeName:
      title: ServiceTypeName
      type: string
      description: The type of service.
      enum:
        - Screening
        - Legal
        - Payment
        - Identity
        - Shipment
    ServiceCategory:
      title: ServiceCategory
      type: string
      description: The category that a service belongs to.
      enum:
        - Payment
        - Identity Verification
        - Criminal Check
        - Motor Vehicle Record Check
        - Verification
        - Occupational Health Screening
        - Professional License
    ServiceCategoryId:
      title: ServiceCategoryId
      type: string
      description: The unique ID of the service category.
      enum:
        - service-cat-payment
        - service-cat-idv
        - service-cat-criminal
        - service-cat-mvr
        - service-cat-verification
        - service-cat-ohs
        - service-cat-pro-lic
    ServiceSubCategory:
      title: ServiceSubCategory
      type: string
      description: The subcategory that a service belongs to.
      enum:
        - Drug Screening
        - TB
        - Titer
        - Vaccination
        - Physical
    ServiceSubCategoryId:
      title: ServiceSubCategoryId
      type: string
      description: The unique ID of the service subcategory.
      enum:
        - service-subcat-drug
        - service-subcat-tb
        - service-subcat-titer
        - service-subcat-vacc
        - service-subcat-physical
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````